Name:           dnstop
Version:        20121017
Release:        1%{?dist}
Summary:        Displays various tables of DNS traffic on your network

Group:          Applications/System
License:        BSD?
URL:            http://dns.measurement-factory.com/tools/dnstop/
Source0:        http://dns.measurement-factory.com/tools/dnstop/src/dnstop-20121017.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel ncurses-devel
#Requires:       

%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network. Currently dnstop displays
tables of:

    Source IP addresses
    Destination IP addresses
    Query types
    Response codes
    Opcodes
    Top level domains
    Second level domains
    Third level domains
    etc...

dnstop supports both IPv4 and IPv6 addresses.

To help find especially undesirable DNS queries, dnstop provides a
number of filters. The filters tell dnstop to display only the
following types of queries:

    For unknown/invalid TLDs
    A queries where the query name is already an IP address
    PTR queries for RFC1918 address space
    Responses with code REFUSED

dnstop can either read packets from the live capture device, or
from a tcpdump savefile.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 ${RPM_BUILD_ROOT}/usr/bin
install -d -m 755 ${RPM_BUILD_ROOT}/usr/share/man/man8
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES
/usr/bin/dnstop
/usr/share/man/man8/dnstop*


%changelog
* Thu Dec 13 2012 Bussi Andrea <btabta@gmail.com> - 20121017-1
- Initial version.

